# create the fieldname table
create table fieldname (
  project_id VARCHAR(50) NOT NULL,
  field_name INT NOT NULL,
  field_label VARCHAR(255) NOT NULL,
  field_type TINYINT,
  field_default VARCHAR(255),
  max_length INT,
  mandatory CHAR(1),
  denied_groups VARCHAR(255),
  ro_groups VARCHAR(255),
  CONSTRAINT fieldname_pk PRIMARY KEY (project_id, field_name),
  CONSTRAINT fieldname_project FOREIGN KEY (project_id)
    REFERENCES project
    ON DELETE CASCADE
)
