# create the query table
# query_usage = 1 for default that will be loaded for the home page
CREATE TABLE $PROJECT_query (
  query_id INT NOT NULL,
  person_id INT NOT NULL,
  query_name VARCHAR(255) NOT NULL,
  show_columns VARCHAR(255) NOT NULL,
  show_numbers INT,
  sort_column VARCHAR(50),
  sort_order CHAR(1),
  query_usage TINYINT,
  PRIMARY KEY (query_id),
  CONSTRAINT $PROJECT8 FOREIGN KEY (person_id)
    REFERENCES person
    ON DELETE CASCADE
)
