# create the reminder table
CREATE TABLE reminder (
  project_id VARCHAR(50) NOT NULL,
  name VARCHAR(255) NOT NULL,
  remind_age INT NOT NULL,
  remind_ts TIMESTAMP,
  email VARCHAR(255) NOT NULL,
  email_subject VARCHAR(255),
  email_body TEXT,
  author VARCHAR(255),
  responsible VARCHAR(255),
  assignable VARCHAR(255),
  state VARCHAR(255),
  category VARCHAR(255),
  severity VARCHAR(255),
  priority VARCHAR(255),
  CONSTRAINT reminder_pk PRIMARY KEY (project_id,name),
  CONSTRAINT reminder_project FOREIGN KEY (project_id)
    REFERENCES project
    ON DELETE CASCADE
)
