# create the trail table
CREATE TABLE $PROJECT_trail (
  trail_id INT NOT NULL,
  entry_id INT NOT NULL,
  category VARCHAR(100),
  severity VARCHAR(100),
  priority VARCHAR(100),
  state VARCHAR(100) NOT NULL,
  author VARCHAR(100) NOT NULL, 
  responsible VARCHAR(100),
  detail LONGTEXT NOT NULL,
  ts TIMESTAMP NOT NULL,
  cc_mail VARCHAR(255), 
  PRIMARY KEY (trail_id),
  CONSTRAINT $PROJECT9 FOREIGN KEY (entry_id)
    REFERENCES $PROJECT_entry
    ON DELETE CASCADE
)
