<%@ page 
    import="com.websina.bean.*,com.websina.util.*,com.websina.util.log.Log"
%>
<html>
<head>
<title>Find and Search</title>
</head>
<body topmargin=0>
<%@ include file="_header.jspf" %>
<%      
  String parent = "query.jsp";
  com.websina.bean.Filter filter = null;
  String baseUrl = contextPath+"/servlet/query";
  String projectId = person.getProject();
  Project conf = Project.getInstance(projectId);

  String[] optionList;
  com.websina.bean.Query query = null;
  String queryName = request.getParameter("query_name");
  if (queryName == null) {
    // used only to get the default show columns etc.
    query = person.getQuery();
    if (!query.isLoaded()) {
      query.loadFilter();
    }
    query.setSortOrder(null);
  } else {
    query = new com.websina.bean.Query(person, queryName);
    query.loadFilter();
    filter = query.getFilter();
  }
%>
<center>
<% String msg = request.getParameter("msg");
   if (msg != null) { %>
<font color="red"><b><%=msg%></b></font>
<% } %>

<table cellspacing=0 cellpadding=0 border=0>
<tr><td height=36>
<b><%=label.get("query", projectId)%></b>
</td></tr>
<tr><td>
<form name="stored_query" method="post" action="<%=baseUrl%>" <%=acceptCharset%>>
<input type="hidden" name="action">
<table cellspacing=0 cellpadding=2 border=0 width=100% class="box">
<tr class="header"><td colspan=3>
<%=label.get("choose_query")%>
</td></tr>
<tr>
<td height=32><select name="query_name">
<% if (person.getStoredQuery() != null) { %>
       <%=ListMaker.makeOptionList(person.getStoredQuery().getValue(), queryName)%>
<% } %>
    </select>
</td>
<td align=center>
<input class="button" type="button" value="<%=label.get("submit_button")%>" 
     title="<%=label.get("stored_query")%>"
     onClick="if(stored_query.query_name.selectedIndex>-1) {do_query(stored_query, 'submit_stored_query'); return false;}">
&nbsp;<input class="button" type="button" value="<%=label.get("remove_button")%>" 
     title="<%=label.get("stored_query")%>"
     onClick="if(stored_query.query_name.selectedIndex>-1) {
              if (confirm('\''+stored_query.query_name.options[stored_query.query_name.selectedIndex].value+'\' will be removed!')) {
              do_query(stored_query, 'remove_stored_query'); return false;}}">
     </td><td>
    <input class="button" type="button" value="<%=label.get("edit_button")%>" 
     title="<%=label.get("stored_query")%>"
     onClick="if(stored_query.query_name.selectedIndex>-1) {
     location.href='query.jsp?query_name='+<%=escape%>(stored_query.query_name.options[stored_query.query_name.selectedIndex].value); return false;}">
</td></tr>
</table>
</form>
</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td height=30>
<%=label.get("define_query")%>
</td></tr>
<tr><td>
<form name="query_form" method="post" action="<%=baseUrl%>" <%=acceptCharset%>
  onSubmit="if(!validDatetimeList(query_form.arrived_date.value)) return false;
            if(!validDatetimeList(query_form.last_modified.value)) return false;
            if(!validDatetimeList(query_form.closed_date.value)) return false;
            <%=onClick(conf, person, "query_form")%>">

  <input type="hidden" name="action" value="advanced_query">
<% if (queryName != null) { %>
  <input type="hidden" name="query_name" value="<%=queryName%>">
<% } %>
<table cellspacing=1 cellpadding=2 border=0 width=100% class="box">
<tr><td colspan=2 align=center>
    <input class="button" type=submit value="<%=label.get("submit_button")%>"
     title="<%=label.get("query_form")%>"> 
&nbsp;<input class="button" type=reset value="<%=label.get("clear_button")%>"
     title="<%=label.get("query_form")%>"> 
    </td></tr>

<%--/// display fields (show columns) ///--%>
<tr>
    <td class="e8" valign=top><%=label.get("show_columns")%></td>
    <td class="f1">
        <table cellspacing=0 cellpadding=0 border=0><tr><td>
        <select name="show_columns" size=7 multiple style="width: 355px;">
        <%=ListMaker.makeOptionList(label, projectId, conf.columnFields(person.getGroup()), query.getShowColumns()) %>
        </select></td><td>&nbsp;</td><td>
        <input type="button" class="button" value=" Up " onClick="Up(query_form.show_columns)">
        <p><input type="button" class="button" value=" Dn " onClick="Down(query_form.show_columns)">
        </td></tr></table></td></tr>
<tr>
    <td class="e8"><%=label.get("sort_order_label")%></td>
    <td class="f1"><select name="sort_column" style="width: 294px;"> 
        <%=ListMaker.makeOptionList(label, projectId, conf.sortFields(person.getGroup()), query.getSortColumn()) %>
        </select>
        <select name="sort_order"> 
        <%=sortOrder(query.getSortOrder())%>
        </select></td></tr>
<tr>
    <td class="e8"><%=label.get("show_numbers")%></td>
    <td class="f1"><input type="text" name="show_numbers" size=2 maxlength=4 value="<%=query.getShowNumbers()%>">
    </td></tr>

<% if (conf.isFieldEnabled("ignore_closed", person.getGroup()) ) { 
     String checked = "";
     if (query.ignoreClosed()) {
       checked = "checked";
     }
%>
<tr>
    <td class="e8"><%=label.get("ignore_closed")%></td>
    <td class="f1"><input type="checkbox" name="ignore_closed" value="closed" <%=checked%>>
    </td></tr>
<% } else { %>
  <input type="hidden" name="ignore_closed" value="closed">
<% } %>

<%-- search by date --%>
  <tr><td colspan=2>&nbsp;</td></tr>
  <tr>
    <td class="e8"><%=label.get("arrived_date")%>
    <font color=red>&#185;</font></td>
    <td class="f1"><nobr>
    <select name=arrived_date_dateOp style="width: 66px;">
        <%=dateOp()%></select>
    <input size=14 name=arrived_date>
    &nbsp;&nbsp;||&nbsp;&nbsp;
    <select name=arrived_date_ageOp style="width: 86px;">
        <%=ageOp()%></select>
    <input size=2 maxlength=4 name=arrived_date_age>
    <select name=arrived_date_ageUnit>
        <%=ListMaker.makeOptionList(label, ageUnit(), null)%></select>
    </nobr>
  </td></tr>
  <tr>
    <td class="e8"><%=label.get("last_modified")%>
    <font color=red>&#185;</font></td>
    <td class="f1"><nobr>
    <select name=last_modified_dateOp style="width: 66px;">
        <%=dateOp()%></select>
    <input size=14 name=last_modified>
    &nbsp;&nbsp;||&nbsp;&nbsp;
    <select name=last_modified_ageOp style="width: 86px;">
        <%=ageOp()%></select>
    <input size=2  maxlength=4 name=last_modified_age>
    <select name=last_modified_ageUnit>
        <%=ListMaker.makeOptionList(label, ageUnit(), null)%></select>
    </nobr>
    </td></tr>
  <tr>
    <td class="e8"><%=label.get("closed_date")%>
    <font color=red>&#185;</font></td>
    <td class="f1"><nobr>
    <select name=closed_date_dateOp style="width: 66px;">
        <%=dateOp()%></select>
    <input size=14 name=closed_date>
    &nbsp;&nbsp;||&nbsp;&nbsp;
    <select name=closed_date_ageOp style="width: 86px;">
        <%=ageOp()%></select>
    <input size=2  maxlength=4 name=closed_date_age>
    <select name=closed_date_ageUnit>
        <%=ListMaker.makeOptionList(label, ageUnit(), null)%></select>
    </nobr>
    </td></tr>

<%-- search by date on a given state --%>
<!--
  <tr><td colspan=2>&nbsp;</td></tr>
  <tr>
    <td class="cf"><%=label.get("state_date")%>
    <font color=red>&#185;</font></td>
    <td class="cf"><nobr>
    <select name=state_date_dateOp style="width: 66px;">
        <%=dateOp()%></select>
    <input size=14 name=state_date>
    &nbsp;&nbsp;||&nbsp;&nbsp;
    <select name=state_date_ageOp style="width: 86px;">
        <%=ageOp()%></select>
    <input size=2  maxlength=4 name=state_date_age>
    <select name=state_date_ageUnit>
        <%=ListMaker.makeOptionList(label, ageUnit(), null)%></select>
    </nobr>
    </td></tr>
    <tr><td class="cf">
    <%=label.get("of_state", projectId)%></td>
    <td class="cf"><select name="of_state" style="width: 400px;">
        <%=ListMaker.makeOptionList(conf.getField("state"), null) %>
        </select> </td></tr>
-->

<%@ include file="_queryform.jspf" %>

  <tr><td colspan=2 align=center>
    <input class="button" type=submit value="<%=label.get("submit_button")%>"
     title="<%=label.get("query_form")%>">  
&nbsp;<input class="button" type=reset value="<%=label.get("clear_button")%>"
     title="<%=label.get("query_form")%>"> 
  </td></tr>
</table>
</form>
</td></tr>
<tr><td>
<table cellspacing=2 cellpadding=2 border=0 width=520>
<tr><td>
    <font color=red>*</font>
    A query can be saved only on the query result page, you need submit the query first and then save. 
    </td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>
    <font color=red>&#185;</font>
    Use either actual date or relative days (number).
    Format date as <tt>mm/dd/yyyy</tt> or <tt>yyyy-mm-dd h24:MI:ss</tt>. 
    If you use 'between' for the date, please separate the start and the end dates
    with a comma&nbsp;(,). </td></tr>
<tr><td>
    <font color=red>&#178;</font>
    You can use <tt>AND (&, +)</tt> and <tt>OR (|)</tt> between words in text fields.
    A comma or space is treated as <tt>OR</tt>.</td></tr>
<tr><td>
    <font color=red>&#179;</font>
    You can use <tt>&& (AND)</tt> or <tt>|| (OR)</tt>
    among <tt><%=label.get("responsible", projectId)%></tt>, 
    <tt><%=label.get("author", projectId)%></tt>, and fields of User type.
    </td></tr>
</table>

</td></tr>
</table>

</center>

</body></html>
