<%@ page
    import="com.websina.bean.*,com.websina.util.*,com.websina.util.log.Log"
%>
<html>
<head>
<title>Reports and Statistics</title>
</head>
<body topmargin=0>
<%@ include file="_header.jspf" %>
<%      
  if (!person.isAllowed("report")) {
    response.sendRedirect("home.jsp");
    return;
  }
  String parent = "report.jsp";
  com.websina.bean.Filter filter = null;
  String baseUrl = contextPath+"/servlet/report/bugzeroReport.jpg";
  String projectId = person.getProject();
  Project conf = Project.getInstance(projectId);

  String[] optionList;
  String responsible= null;
  if (conf.isFieldEnabled("responsible", person.getGroup())) {
    responsible = "responsible";
  }
%>

<center>
<form name="reportForm" method="post" action="<%=baseUrl%>" <%=acceptCharset%> onSubmit="return false">
<table cellspacing=0 cellpadding=0 border=0>
<tr><td height=36>
<b><%=label.get("report", projectId)%></b>
</td></tr>
<tr><td>
<table cellspacing=0 cellpadding=2 border=0 width=100% class="box">
<tr class="header"><td colspan=3>
<%=label.get("define_report")%>
</td></tr>
<tr><td height=32>
     <select name="report_type"
     onChange="set_report(reportForm);">
  <option value="summary_report"><%=label.get("summary_report")%></option>
  <option value="current_count"><%=label.get("current_counts")%></option>
  <option value="trend"><%=label.get("trend_metrics")%></option>
  </select></td>
<td>&nbsp;&nbsp; of &nbsp;&nbsp;<select name="x_name">
    <%=ListMaker.makeOptionList(label, projectId, conf.reportFields(person.getGroup()), "state") %>
    </select></td>

<td id="summary_only" style="display:inline;">
&nbsp;&nbsp;versus <select name="y_name" style="margin-top:2;">
       <%=ListMaker.makeOptionList(label, projectId, conf.reportFields(person.getGroup()), responsible) %>
    </select>
</td>
<td id="trend_only" style="display:none;">
&nbsp;&nbsp;for the last
<input name="time_period" size=2>
<select name="time_unit" style="margin-top:2;">
       <option value='week' selected><%=label.get("week")%></option>
       <option value='month'><%=label.get("month")%></option>
       <option value='day'><%=label.get("day")%></option>
       <option value='year'><%=label.get("year")%></option>
    </select>
</td></tr>
</table>
</td></tr>

<tr><td>&nbsp;</td></tr>
<tr><td>
<table cellspacing=1 cellpadding=2 border=0 width=100% class="box">
<tr><td colspan=2 align=center>
     <input class="button" type="button" value="<%=label.get("show_report_button")%>" 
      onClick="<%=onClick(conf, person, "reportForm")%> do_report(reportForm)">
&nbsp;<input class="button" type=reset value="<%=label.get("clear_button")%>">
    </td></tr>
<%@ include file="_queryform.jspf" %>
<tr><td colspan=2 align=center>
     <input class="button" type="button" value="<%=label.get("show_report_button")%>" 
      onClick="<%=onClick(conf, person, "reportForm")%> do_report(reportForm)">
&nbsp;<input class="button" type=reset value="<%=label.get("clear_button")%>">
</td></tr>
</table>
</td></tr>
</table>

</form>
</center>

</body></html>
