# create the mailbox table
# set mail_status to '0' to stop and "1" to start
CREATE TABLE mailbox (
  name VARCHAR(50) NOT NULL,
  project_id VARCHAR(50) NOT NULL,
  assignable VARCHAR(200),
  refresh_minutes INT,
  pop3 TEXT NOT NULL,
  mailbox_status CHAR(1),
  CONSTRAINT mailbox_pk PRIMARY KEY (name),    
  CONSTRAINT mailbox_project FOREIGN KEY (project_id)
    REFERENCES project
    ON_DELETE_CASCADE
)