# get trigger emails
SELECT
  p.email
FROM $PROJECT_trigger t, person p, groupcode g
WHERE t.person_id=p.person_id
  AND p.group_code=g.name
  AND (p.group_code=? OR g.group_type IS NULL)
  AND (author like ? OR author IS NULL)
  AND (responsible like ? OR responsible IS NULL)
  AND (assignable like ? OR assignable IS NULL)
  AND (state like ? OR state IS NULL)
  AND (category like ? OR category IS NULL)
  AND (severity like ? OR severity IS NULL)
  AND (priority like ? OR priority IS NULL)
