<!-- Begin
function assert(condition, msg) {
  if (condition == false) {
    alert (msg)
    return false;
  } else {
    return true;
  }
}

function isEmpty(input, msg) {
  trim(input);
  if(input.value.length==0) {
    alert (msg)
    return true;
  } else {
    return false;
  }
}

function isChecked(theForm) {
  for (var i=0; i<theForm.elements.length; i++) {
    if (theForm.elements[i].type=="checkbox" 
        && theForm.elements[i].checked) {
      return true;
    }
  }
  return false;
}

function isSelected(select, forbidden, msg) {
  if (select.value==forbidden) {
    alert(msg);
    return false;
  } else {
    return true;
  }
}

function isEqual(input1, input2, msg) {
  trim(input1);
  trim(input2);
  if (input1.value != input2.value) {
    alert(msg);
    return false;
  } else {
    return true;
  }
}

function validEmailList(input) {
  trim(input);
  var str = input.value;
  if (str.length == 0) {
    return true;
  }
  var T = str.split(/[; ,]/);
  for (var i=0; i<T.length; i++) {
    if (!validEmail(T[i])) return false;
  }
  return true;
}

function validEmail(str) {
  str = _trim(str);
  if(str.length == 0) {
    return true;
  } else {
    var regExp = /^[^@]+@[^@]+.[a-z]{2,}$/i;
    if (str.search(regExp) == -1) {
      alert ("Email address '"+ str+"' is not valid!")
      return false;
    }
    return true;
  }
}

function validEmailList2(input) {
  trim(input);
  var str = input.value;
  if (str.length == 0) {
    return true;
  }
  var T = str.split(/[; ,]/);
  for (var i=0; i<T.length; i++) {
    if (!(validEmail2(T[i]) || validEmail(T[i]))) return false;
  }
  return true;
}

function validEmail2(str) {
  str = _trim(str);
  if(str.length == 0) {
    return true;
  } else if (str == '$responsible' || str == '$author') { 
    return true;
  } else {
    return false;
  }
}

function validUrlList(input) {
  trim(input);
  var str = input.value;
  if (str.length == 0) {
    return true;
  }
  var T = str.split(/[;,]/);
  for (var i=0; i<T.length; i++) {
    if (!validUrl(T[i])) return false;
  }
  return true;
}

function validUrl(str) {
  str = _trim(str);
  if (str.length == 0
    || str.search(/^\d+$/) == 0
    || str.search(/^http:\/\/[^@]+$/) == 0
    || str.search(/^https:\/\/[^@]+$/) == 0
    || str.search(/^file:\/\/[^@]+$/) == 0
    || str.search(/^ftp:\/\/[^@]+$/) == 0
    || str.search(/^www\.[^@]+$/) == 0 
    || str.search(/^[^\O]+:\s+http:\/\/[^@]+$/) == 0
    || str.search(/^[^\O]+:\s+https:\/\/[^@]+$/) == 0
    || str.search(/^[^\O]+:\s+file:\/\/[^@]+$/) == 0
    || str.search(/^[^\O]+:\s+ftp:\/\/[^@]+$/) == 0
    || str.search(/^[^\O]+:\s+www\.[^@]+$/) == 0) {
    return true;
  }
  alert ("URL or link ID '"+ str+"' is not valid!")
  return false;
}

function validDatetimeList(str) {
  str = _trim(str);
  if (str.length == 0) return true;
  var T = str.split(",");
  if (T.length > 2) {
    alert ("Datetime list '"+ str+"' is not valid!")
    return false;
  }
  var result = validDatetime(T[0]);
  if (result && T.length > 1) {
    result = validDatetime(T[1]);
  }
  return result;
}

function validDatetime(str) {
  str = _trim(str);
  if (str.length == 0) return true;
  var T = str.split(" ");
  var result = validDate(T[0]);
  if (result && T.length > 1 ) {
   result =  validTime(T[T.length-1]);
  }
  if (!result) {
    alert ("Datetime '"+ str+"' is not valid, use m/d/yyyy or yyyy-m-d h24:m:s")
  }
  return result;
}

function validDate(str) {
  str = _trim(str);
  if (str.length == 0) return true;
  var T;
  if (str.search(/^\d{4}-\d{1,2}-\d{1,2}$/) == 0) {
    T = str.split("-");
    if (T.length==3 && _validDate(T[0], T[1]-1, T[2])) {
      return true;
    }
  }
  if (str.search(/^\d{1,2}\/\d{1,2}\/\d{4}$/) == 0) {
    T = str.split("/");
    if (T.length==3 && _validDate(T[2], T[0]-1, T[1])) {
      return true;
    }
  }
  return false;
}

function validTime(str) {
  str = _trim(str);
  if (str.length == 0) return true;
  var T = str.split(/:/);
  if (T.length > 3) return false;
  if (T.length <= 1) {
    if (T[0]<0 || T[0]>23) return false;
  }
  if (T.length <= 2) {
    if (T[1]<0 || T[1]>59) return false;
  }
  if (T.length == 3) {
    if (T[2]<0 || T[2]>59) return false;
  }
  return true;
}

function _validDate(y, m, d) {
  with (new Date(y, m, d)) {
    return (getMonth() == m && getDate() == d);
  }
}

function validNumberQuery(str) {
  str = _trim(str);
  if(str.length == 0) {
    return true;
  } else {
    var regExp = /^[><!=]*\d*\.*\d*[\s><!=,]*\d*\.*\d*$/;
    if (str.search(regExp) == -1) {
      alert ("'"+ str+"' is not a valid number search condition, use '><='.")
      return false;
    }
    return true;
  }
}

function validNumber(str) {
  str = _trim(str);
  if(str.length == 0) {
    return true;
  } else {
    var regExp = /^\d*\.*\d*$/;
    if (str.search(regExp) == -1) {
      alert ("'"+ str+"' is not a valid number!")
      return false;
    }
    return true;
  }
}

function do_clear(box, input) {
  for (var i=0; i<box.length; i++) {
    if (box.options[i].selected) {
      box.options[i].selected = false;
    }
  }
  if(input.value != "") {
    input.value = "";
  }
}

function do_checkbox(frm, chkbox){
  for (var i=0; i<frm.elements.length; i++) {
    var e=frm.elements[i];
    if ((e != chkbox) && (e.type=='checkbox')) {
      e.checked=chkbox.checked;
    }
  }
}

function trim(input) {
  var str = input.value;
  while(''+str.charAt(0)==' ' || ''+str.charAt(0)=='\n' || ''+str.charAt(0)=='\r') {
    str=str.substring(1,str.length);
  }
  while(''+str.charAt(str.length-1)==' ') {
    str=str.substring(0,str.length-1);
  }
  input.value=str;
}

function _trim(str) {
  while(''+str.charAt(0)==' ' || ''+str.charAt(0)=='\n' || ''+str.charAt(0)=='\r') {
    str=str.substring(1,str.length);
  }
  while(''+str.charAt(str.length-1)==' ') {
    str=str.substring(0,str.length-1);
  }
  return str;
}

function Up(box) {
  var index = box.selectedIndex; 
  if ( index > 0 ) {
    var temp_value = box.options[index].value;
    var temp_text = box.options[index].text;
    box.options[index].value = box.options[index-1].value;
    box.options[index].text = box.options[index-1].text;
    box.options[index].selected = false;
    box.options[index-1].value = temp_value;
    box.options[index-1].text = temp_text;
    box.options[index-1].selected = true;
  }
}

function Down(box) {
  var index = box.selectedIndex; 
  if ( index < box.options.length -1 ) {
    var temp_value = box.options[index].value;
    var temp_text = box.options[index].text;
    box.options[index].value = box.options[index+1].value;
    box.options[index].text = box.options[index+1].text;
    box.options[index].selected = false;
    box.options[index+1].value = temp_value;
    box.options[index+1].text = temp_text;
    box.options[index+1].selected = true;
  }
}
// End -->
